Package org.lwjgl.opengl

# Class NVGpuProgram4

java.lang.Object
org.lwjgl.opengl.NVGpuProgram4

public final class NVGpuProgram4 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_MAX_PROGRAM_ATTRIB_COMPONENTS_NV`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_MAX_PROGRAM_GENERIC_ATTRIBS_NV`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_MAX_PROGRAM_GENERIC_RESULTS_NV`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_MAX_PROGRAM_RESULT_COMPONENTS_NV`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_PROGRAM_ATTRIB_COMPONENTS_NV`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_PROGRAM_RESULT_COMPONENTS_NV`
Accepted by the <pname> parameter of GetProgramivARB:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glGetProgramEnvParameterINV(int target, int index, IntBuffer params)`
`static void`
`glGetProgramEnvParameterIuNV(int target, int index, IntBuffer params)`
`static void`
`glGetProgramLocalParameterINV(int target, int index, IntBuffer params)`
`static void`
`glGetProgramLocalParameterIuNV(int target, int index, IntBuffer params)`
`static void`
`glProgramEnvParameterI4iNV(int target, int index, int x, int y, int z, int w)`
`static void`
`glProgramEnvParameterI4NV(int target, int index, IntBuffer params)`
`static void`
`glProgramEnvParameterI4uiNV(int target, int index, int x, int y, int z, int w)`
`static void`
`glProgramEnvParameterI4uNV(int target, int index, IntBuffer params)`
`static void`
`glProgramEnvParametersI4NV(int target, int index, IntBuffer params)`
`static void`
`glProgramEnvParametersI4uNV(int target, int index, IntBuffer params)`
`static void`
`glProgramLocalParameterI4iNV(int target, int index, int x, int y, int z, int w)`
`static void`
`glProgramLocalParameterI4NV(int target, int index, IntBuffer params)`
`static void`
`glProgramLocalParameterI4uiNV(int target, int index, int x, int y, int z, int w)`
`static void`
`glProgramLocalParameterI4uNV(int target, int index, IntBuffer params)`
`static void`
`glProgramLocalParametersI4NV(int target, int index, IntBuffer params)`
`static void`
`glProgramLocalParametersI4uNV(int target, int index, IntBuffer params)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_PROGRAM_ATTRIB_COMPONENTS_NV

public static final int GL_PROGRAM_ATTRIB_COMPONENTS_NV
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_PROGRAM_RESULT_COMPONENTS_NV

public static final int GL_PROGRAM_RESULT_COMPONENTS_NV
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_ATTRIB_COMPONENTS_NV

public static final int GL_MAX_PROGRAM_ATTRIB_COMPONENTS_NV
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_RESULT_COMPONENTS_NV

public static final int GL_MAX_PROGRAM_RESULT_COMPONENTS_NV
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_GENERIC_ATTRIBS_NV

public static final int GL_MAX_PROGRAM_GENERIC_ATTRIBS_NV
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_GENERIC_RESULTS_NV

public static final int GL_MAX_PROGRAM_GENERIC_RESULTS_NV
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

## Method Details

### glProgramLocalParameterI4iNV

public static void glProgramLocalParameterI4iNV(int target, int index, int x, int y, int z, int w)

### glProgramLocalParameterI4NV

public static void glProgramLocalParameterI4NV(int target, int index, IntBuffer params)

### glProgramLocalParametersI4NV

public static void glProgramLocalParametersI4NV(int target, int index, IntBuffer params)

### glProgramLocalParameterI4uiNV

public static void glProgramLocalParameterI4uiNV(int target, int index, int x, int y, int z, int w)

### glProgramLocalParameterI4uNV

public static void glProgramLocalParameterI4uNV(int target, int index, IntBuffer params)

### glProgramLocalParametersI4uNV

public static void glProgramLocalParametersI4uNV(int target, int index, IntBuffer params)

### glProgramEnvParameterI4iNV

public static void glProgramEnvParameterI4iNV(int target, int index, int x, int y, int z, int w)

### glProgramEnvParameterI4NV

public static void glProgramEnvParameterI4NV(int target, int index, IntBuffer params)

### glProgramEnvParametersI4NV

public static void glProgramEnvParametersI4NV(int target, int index, IntBuffer params)

### glProgramEnvParameterI4uiNV

public static void glProgramEnvParameterI4uiNV(int target, int index, int x, int y, int z, int w)

### glProgramEnvParameterI4uNV

public static void glProgramEnvParameterI4uNV(int target, int index, IntBuffer params)

### glProgramEnvParametersI4uNV

public static void glProgramEnvParametersI4uNV(int target, int index, IntBuffer params)

### glGetProgramLocalParameterINV

public static void glGetProgramLocalParameterINV(int target, int index, IntBuffer params)

### glGetProgramLocalParameterIuNV

public static void glGetProgramLocalParameterIuNV(int target, int index, IntBuffer params)

### glGetProgramEnvParameterINV

public static void glGetProgramEnvParameterINV(int target, int index, IntBuffer params)

### glGetProgramEnvParameterIuNV

public static void glGetProgramEnvParameterIuNV(int target, int index, IntBuffer params)